Summary: Writes audio CD-Rs in disk-at-once (DAO) mode.
Name: cdrdao
Version: 1.1.7
Release: 4
License: GPL
Group: Applications/System
URL: http://unc.dl.sourceforge.net/sourceforge/cdrdao/cdrdao-1.1.7.src.tar.bz2
#URL: http://cdrdao.sourceforge.net/download.html
Source0: %{name}-%{version}.src.tar.bz2
Source1: xcdrdao.desktop
Patch0: cdrdao-1.1.15-endianness.patch
#Patch1: cdrdao-1.1.5-c++.patch
Patch2: cdrdao-1.1.5-EXCL.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pccts >= 1.33mr22 

# Only exclude s390
ExcludeArch: s390

%description
Cdrdao records audio CD-Rs in disk-at-once (DAO) mode, based on a
textual description of the CD contents. Recording in DAO mode writes
the complete disc (lead-in, one or more tracks, and lead-out) in a
single step. DAO allows full control over the length and the contents
of pre-gaps, the pause areas between tracks.

%prep
%setup -q
%patch0 -p0 -b .endianness
#%patch1 -p1 -b .c++
%patch2 -p1 -b .excl

%build
cd scsilib
ln -s i686-linux-gcc.rul RULES/ia64-linux-gcc.rul
ln -s i686-linux-cc.rul RULES/ia64-linux-cc.rul
ln -s i686-linux-gcc.rul RULES/s390-linux-gcc.rul
ln -s i686-linux-cc.rul RULES/s390-linux-cc.rul
ln -s i686-linux-gcc.rul RULES/s390x-linux-gcc.rul
ln -s i686-linux-cc.rul RULES/s390x-linux-cc.rul
ln -s i686-linux-cc.rul RULES/ppc64-linux-cc.rul
ln -s i686-linux-gcc.rul RULES/ppc64-linux-gcc.rul
ln -s i686-linux-cc.rul RULES/x86_64-linux-cc.rul
ln -s i686-linux-gcc.rul RULES/x86_64-linux-gcc.rul
rm -f mkisofs/README.compression.zisofs-support-hpa
find . |xargs chmod a+r
find . -name \*.mk|xargs perl -pi -e 's/INSDIR=\s*lib\s*$/INSDIR=%{_lib}\n/g'
cd conf
aclocal
libtoolize --copy --force
cd ../..
%configure --prefix=%{_prefix}\
            --with-pcctsbin=%{_prefix}/bin \
            --with-pcctsinc=%{_prefix}/include/pccts

make

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/System

#install -m 0644 $RPM_SOURCE_DIR/xcdrdao.desktop\
#	$RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/System

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc testtocs COPYING INSTALL README cdrdao.lsm
%{_bindir}/*
%dir %{_datadir}/cdrdao
%{_datadir}/cdrdao/*
%{_mandir}/*/*

%changelog
* Wed Feb 26 2003 Harald Hoyer <harald@redhat.de> 1.1.7-4
- refined O_EXCL patch

* Tue Feb 25 2003 Harald Hoyer <harald@redhat.de> 1.1.7-3
- readded O_EXCL patch

* Tue Feb 04 2003 Phil Knirsch <pknirsch@redhat.com> 1.1.7-2
- Added s390x again as newer models will have SCSI.

* Thu Jan 29 2003 Harald Hoyer <harald@redhat.de> 1.1.7-1
- updated to 1.1.7

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Nov 28 2002 Harald Hoyer <harald@redhat.de> 1.1.5-11
- added cdrdao-1.1.5-EXCL.patch to lock the CDROM device
- more archs for scsilib (cdrtools)

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Mike A. Harris <mharris@redhat.com> 1.1.5-9
- Rebuilt in new environment with gcc 3.2

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Mike A. Harris <mharris@redhat.com> 1.1.5-6
- Bumped release, and rebuilt against new toolchain.

* Fri Feb 22 2002 Mike A. Harris <mharris@redhat.com> 1.1.5-5
- Bumped release, and rebuilt against new toolchain.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 1.1.5-4
- automated rebuild

* Sun Dec 23 2001 Mike A. Harris <mharris@redhat.com> 1.1.5-3
- Added missing /usr/share/cdrdao/drivers file (#57785)
- Also built 1.1.5-1.72.0 package for 7.x

* Sat Dec 22 2001 Mike A. Harris <mharris@redhat.com> 1.1.5-2
- Bumped release and rebuilt so rawhide package doesn't release number
  conflict with previous 1.1.5-1 package built against 7.2

* Fri Dec 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix non-standard C++ code

* Tue Dec 18 2001 Mike A. Harris <mharris@redhat.com> 1.1.5-1
- Updated to 1.1.5
- Updated endianness patch for ia64
- s/Copyright/License/ in specfile
- Changed to bz2 compression for smaller sources
- Fixed BuildRoot line (was hard coded)

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Tue Jun 26 2001 Bill Nottingham <notting@redhat.com>
- include on ia64

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add excludearch for s390 s390x

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- rebuilt for the distro

* Fri Sep 8 2000 Tim Powers <timp@redhat.com>
- removed all references to xcdrdao, we don't ship it. So no applnk, no gtkmm
  requirements either.

* Thu Sep 7 2000 Tim Powers <timp@redhat.com>
- fixed bad Requires line, was still requiring gtk--, when the package changed
  to gtkmm

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jun 5 2000 Tim Powers <timp@redhat.com>
- man pages in correct location
- use %%makeinstall

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- use applnk for dirs
- use %configure
- remove redundant defines
- rebuilt for 7.0

* Tue Nov 2 1999 Tim Powers <timp@redhat.com>
- updated to 1.1.3
- we now have xcdrdao
- added gnome menu stuff

* Fri Aug 21 1999 Tim Powers <timp@redhat.com>
- removed wmconfig stuff. Nosuch file names xcdrdao

* Wed Aug 18 1999 Dale Lovelace <dale@redhat.com>
- add cdrdao.wmconfig

* Sat Jul 10 1999 Tim Powers <timp@redhat.com>
- updated to 1.1.1 
- built for 6.1

* Mon May 10 1999 Cristian Gafton <gafton@redhat.com>
- gtk-- does not wokr on the alpha, so we have no xcdrdao for it.
- cheesy workaround for the broken tar archive

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package 
